gr::dab::insert_null_symbol Class Reference

<+description of block+> More...

`#include <insert_null_symbol.h>`

Inheritance diagram for gr::dab::insert_null_symbol:
[legend]

## Public Types

typedef std::shared_ptr< insert_null_symbol > | sptr

## Static Public Member Functions

static sptr | make (int ns_length, int symbol_length)
| Return a shared_ptr to a new instance of dab::insert_null_symbol.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<insert_null_symbol> gr::dab::insert_null_symbol::sptr

## Member Function Documentation

## make()

sptr gr::dab::insert_null_symbol::make | ( | int | ns_length,
|  | int | symbol_length )

static

Return a shared_ptr to a new instance of dab::insert_null_symbol.

To avoid accidental use of raw pointers, dab::insert_null_symbol's constructor is in a private implementation class. dab::insert_null_symbol::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- insert_null_symbol.h